%define compat_versions 2.0 3.0 3.1 3.2 4.0
%define modular_versions 3.1 3.2

# populate the Provides for the compat versions and the old 3.x modular setup
# this way we only have to change the lists above when we bump up 
# (at least until LSB drops something, or we choose to)
%define compat_provides_noarch %(for ver in %{compat_versions};do echo -n "lsb-noarch = $ver ";done)
%define core_compat_provides_noarch %(for ver in %{compat_versions};do echo -n "lsb-core-noarch = $ver ";done)
%define compat_provides_arch %(for ver in %{compat_versions};do echo -n "lsb-%{lsb_arch} = $ver ";done)
%define core_compat_provides_arch %(for ver in %{compat_versions};do echo -n "lsb-core-%{lsb_arch} = $ver ";done)
%define modular_provides_noarch %(for ver in %{modular_versions};do echo -n "lsbcxx-noarch = $ver lsb-graphics-noarch = $ver ";done)
%define modular_provides_arch %(for ver in %{modular_versions};do echo -n "lsbcxx-%{lsb_arch} = $ver lsb-graphics-%{lsb_arch} = $ver ";done)

Summary: The skeleton package defining packages needed for LSB compliance
Name: lsb
Version: 4.1
Release: 9
License: GPL
Group: System/Base
URL: http://www.linuxbase.org
Source0: tmpdirlsb.sh
Source1: install_initd
Source2: remove_initd

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Exclusivearch: %{ix86} x86_64

%define lsb_arch ia32
%ifarch x86_64
%define lsb_arch amd64
%endif

%if "%{_lib}" == "lib64"
%define libext ()(64bit)
%endif

%description
The skeleton package defining packages needed for LSB compliance.
Note: To successfuly run the runtime test suites, install lsb-test.

%package %{_lib}
Summary: The skeleton package defining packages needed for LSB compliance
Group: System/Base

Requires: lsb-noarch
Requires: lsb-core-%{_lib}
# former lsb-cxx - both arches called libfoo
Requires: libstdc++6
# former lsb-graphics
Requires: libX11.so.6%{?libext}
Requires: libXext.so.6%{?libext}
Requires: libXi.so.6%{?libext}
Requires: libXt.so.6%{?libext}
Requires: libXtst.so.6%{?libext}
Requires: libXft.so.2%{?libext}
Requires: libXrender.so.1%{?libext}
Requires: libfreetype.so.6%{?libext}
Requires: libGL.so.1%{?libext}
Requires: libGLU.so.1%{?libext}

# former lsb-desktop
Requires: libxml2.so.2%{?libext}
Requires: libgtk-x11-2.0.so.0%{?libext}
Requires: libpng12.so.0%{?libext}
Requires: libcairo.so.2%{?libext}
Requires: libpango-1.0.so.0%{?libext}
Requires: libpangoxft-1.0.so.0%{?libext}
Requires: libpangocairo-1.0.so.0%{?libext}
Requires: libfontconfig.so.1%{?libext}
Requires: libqt-mt.so.3%{?libext}
Requires: libjpeg.so.62%{?libext}

# former lsb-qt4
Requires: qt4-common >= 4.2.3
# %%mklibname doesn't work here
Requires: %{_lib}qtopengl4 >= 4.2.3
Requires: %{_lib}qtsvg4 >= 4.2.3
Requires: %{_lib}qtnetwork4 >= 4.2.3
Requires: %{_lib}qtsql4 >= 4.2.3
Requires: %{_lib}qtxml4 >= 4.2.3

# printing
Requires: libcups.so.2%{?libext}

# multimedia
Requires: libasound.so.2%{?libext}

# security
Requires: libnss3.so%{?libext}
Requires: libnspr4.so%{?libext}

Provides: lsb-%{lsb_arch} = %{version} 
Provides: %{compat_provides_arch}
Provides: %{modular_provides_arch}

Conflicts: lsb-release < 2.0

Provides: lsb-cxx
Obsoletes: lsb-cxx
Provides: lsb-graphics
Obsoletes: lsb-graphics
Provides: lsb-desktop
Obsoletes: lsb-desktop
Provides: lsb-desktop-qt4
Obsoletes: lsb-desktop-qt4
Provides: lsb = %{version}
Obsoletes: lsb <= %{version}

%description %{_lib}
The skeleton package defining packages needed for LSB compliance.
Note: To successfuly run the runtime test suites, install lsb-test.

%package noarch
Summary: Architecture neutral components of LSB
Group: System/Base

# former lsb-desktop
Requires: xdg-utils

# interpreted languages
Requires: perl perl-CGI perl-Safe perl-Pod-Perldoc
Requires: perl-Class-ISA perl-Pod-Plainer
Requires: python

# printing
Requires: ghostscript foomatic-filters cups-common

Provides: %{compat_provides_noarch}
Provides: %{modular_provides_noarch}

%description noarch
The architecture-neutral requirements for LSB compliance.

%package core-%{_lib}
Summary: Core requirements needed for LSB compliance
Group: System/Base

Requires: lsb-core-noarch
Requires: %{_lib}glibc_lsb
Requires: libpam.so.0%{?libext}
Requires: libncurses.so.5%{?libext}

Provides: lsb-core-%{lsb_arch} = %{version} 
Provides: %{core_compat_provides_arch}
Provides: lsb-core = %{version}
Obsoletes: lsb-core

%description core-%{_lib}
The core requirements for LSB compliance.

%package core-noarch
Summary: Architecture neutral components of lsb-core
Group: System/Base

Requires: pax lsb-release make sendmail-command ed 
Requires: binutils bc nail at m4 patch
Requires: diffutils file gettext chkconfig

Provides: %{core_compat_provides_noarch}

%description core-noarch
The architecture-neutral core requirements for LSB compliance.

%package test
Summary: Requirements needed to successfully run the LSB runtime tests
Group: System/Base

Requires: lsb
Requires: perl-DBI perl-devel perl-XML-Parser perl-URI glibc-i18ndata
Requires: locales-de locales-en locales-es locales-fr locales-is
Requires: locales-it locales-ja locales-se locales-ta locales-zh 
Requires: wget qt4-database-plugin-sqlite qt3-Sqlite libx11-common
Requires(pre):		rpm-helper
Requires(postun):	rpm-helper

%description test
This packages pulls in additional packages not specified by LSB, but
required to successfully run the LSB runtime tests.

%prep
#%setup -q

%install
cat << EOF > README.urpmi
To run the LSB binary test suite, download the latest version from
ftp://ftp.linuxfoundation.org/pub/lsb/test_suites/released/binary/runtime/
and install lsb-dist-checker or lsb-task-dist-testkit.
 
There is a GUI test manager now, lsb-dist-checker that can guide you 
through the test/certification process.

There are also yum repos at:
 http://ftp.linuxfoundation.org/pub/lsb/repositories/yum/
EOF

rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/%{name}
install -d %{buildroot}/%{_datadir}/nls
install -d %{buildroot}/%{_datadir}/tmac
install -d %{buildroot}/var/cache/fonts
install -d %{buildroot}/var/games
install -d %{buildroot}/sbin
install -d %{buildroot}%{_sysconfdir}/lsb-release.d
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/lib/%{name}
install -d %{buildroot}%{_prefix}/lib/%{name}
install -d %{buildroot}/srv
install -d %{buildroot}%{_sysconfdir}/opt
install -d %{buildroot}%{_sysconfdir}/profile.d
install -m 755 %SOURCE0 %{buildroot}%{_sysconfdir}/profile.d
install -m 755 %SOURCE1 %{buildroot}%{_prefix}/lib/%{name}
install -m 755 %SOURCE2 %{buildroot}%{_prefix}/lib/%{name}

touch %{buildroot}%{_sysconfdir}/lsb-release.d/lsb-%{version}-%{lsb_arch}
touch %{buildroot}%{_sysconfdir}/lsb-release.d/lsb-%{version}-noarch
touch %{buildroot}%{_sysconfdir}/lsb-release.d/core-%{version}-%{lsb_arch}
touch %{buildroot}%{_sysconfdir}/lsb-release.d/core-%{version}-noarch
rm -f lsb-noarch-files.txt lsb-files.txt
for lsbver in %{compat_versions}; do
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/lsb-$lsbver-noarch
  echo %{_sysconfdir}/lsb-release.d/lsb-$lsbver-noarch >> lsb-noarch-files.txt
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/lsb-$lsbver-%{lsb_arch}
  echo %{_sysconfdir}/lsb-release.d/lsb-$lsbver-%{lsb_arch} >> lsb-files.txt
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/core-$lsbver-noarch
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/core-$lsbver-%{lsb_arch}
done
for lsbver in %{modular_versions}; do
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/cxx-$lsbver-noarch
  echo %{_sysconfdir}/lsb-release.d/cxx-$lsbver-noarch >> lsb-noarch-files.txt
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/cxx-$lsbver-%{lsb_arch}
  echo %{_sysconfdir}/lsb-release.d/cxx-$lsbver-%{lsb_arch} >> lsb-files.txt
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-$lsbver-noarch
  echo %{_sysconfdir}/lsb-release.d/graphics-$lsbver-noarch >> lsb-noarch-files.txt
  touch %{buildroot}%{_sysconfdir}/lsb-release.d/graphics-$lsbver-%{lsb_arch}
  echo %{_sysconfdir}/lsb-release.d/graphics-$lsbver-%{lsb_arch} >> lsb-files.txt
done

cat << EOF > %{buildroot}%{_sysconfdir}/profile.d/root-ulimit.sh
#!/bin/sh
# enable a nonzero core file value for root (exec_A test issues)
[ "\$UID" = "0" ] && ulimit -c 1000 > /dev/null 2>&1
EOF

cat << EOF > %{buildroot}%{_bindir}/lsbinstall
#!/bin/sh
exit 0
EOF

cat << EOF > %{buildroot}/sbin/fasthalt
#!/bin/sh
#start fasthalt
/sbin/halt -f
#end fasthalt
EOF

cat << EOF > %{buildroot}/sbin/fastboot
#!/bin/sh
#start fastboot
/sbin/reboot -f
#end fastboot
EOF

cat << EOF > %{buildroot}/etc/hosts.equiv
# Sample hosts.equiv file for LSB compliance
# see man hosts.equiv for usage.
EOF

cat << EOF > %{buildroot}/etc/hosts.lpd
#
# hosts.lpd     This file describes the names of the hosts which are
#               allowed to use the remote printer services of this
#               host.  This file is used by the LPD subsystem.
#		Added for LSB compiance.
EOF

cat << EOF > %{buildroot}/etc/gateways
# sample gateways file for LSB compliance. Database of gateways
# used by routed. Sample format shown below.
# [ net | host ] name1 gateway name2 metric value [ passive | active | external ]
EOF

chmod 0755 %{buildroot}%{_sysconfdir}/profile.d/root-ulimit.sh
chmod 0755 %{buildroot}%{_bindir}/lsbinstall
chmod 0755 %{buildroot}/sbin/fastboot
chmod 0755 %{buildroot}/sbin/fasthalt
chmod 0644 %{buildroot}/etc/hosts.equiv
chmod 0644 %{buildroot}/etc/hosts.lpd
chmod 0644 %{buildroot}/etc/gateways

# (sb) concession for lsb-apache to run
%pre test
%_pre_groupadd nobody

%postun test
%_postun_groupdel nobody

%clean
rm -rf %{buildroot}

%files %{_lib} -f lsb-files.txt
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{version}-%{lsb_arch}

%files noarch -f lsb-noarch-files.txt
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{version}-noarch

%files core-%{_lib}
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-*-%{lsb_arch}

%files core-noarch
%defattr(-, root, root)
%{_datadir}/nls
%{_datadir}/tmac
/var/cache/fonts
/var/games
/sbin/fasthalt
/sbin/fastboot
%{_bindir}/lsbinstall
%dir %{_sysconfdir}/opt
%dir /srv
%dir /lib/%{name}
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/install_initd
%{_prefix}/lib/%{name}/remove_initd
%config(noreplace) %{_sysconfdir}/hosts.equiv
%config(noreplace) %{_sysconfdir}/hosts.lpd
%config(noreplace) %{_sysconfdir}/gateways
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-*-noarch

%files test
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/profile.d/tmpdirlsb.sh
%config(noreplace) %{_sysconfdir}/profile.d/root-ulimit.sh



%changelog
* Mon Jan 30 2012 Denis Silakov <dsilakov@mandriva.org> 4.1-9
+ Revision: 769719
- Add perl-Class-ISA and perl-Pod-Plainer requirements (bug #65204)

* Mon Dec 12 2011 Denis Silakov <dsilakov@mandriva.org> 4.1-8
+ Revision: 740328
- Require libpangoxft-1.0.so.0 (bug #64882), use sonames for lib requirements

* Thu Apr 21 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.1-7
+ Revision: 656580
- drop useless provides/obsoletes that made packages disappear (#62964)

* Thu Apr 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.1-6
+ Revision: 651709
- rebuild for packages gone missing

* Fri Apr 01 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.1-5
+ Revision: 649717
- pull in changes from Stew Benedict, updating to lsb 4.1:
  	o Rename subpackages, rework deps for bi-arch support
  	o Drop some deps we can do without
  	o Move the nobody account setup to lsb-test
  	o We were missing core-4.1-* in lsb_release - add
  	  perl-Pod-Perldoc is required for perl, clean up/remove a bunch os
  	  lsb-test requires we can do without these days
  	o fix libjpeg requires, add libqtxml, add perl-URI (for tests),
  	  commands -> noarch subpackages
  	o s/slocate/mlocate/, drop hplip-hpijs (test provides)

* Mon Jan 24 2011 Jani Välimaa <wally@mandriva.org> 4.0-5
+ Revision: 632481
- require mlocate as mlocate doesn't provide slocate anymore (mdv#62289)

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-4mdv2011.0
+ Revision: 606422
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0-3mdv2010.1
+ Revision: 523212
- rebuilt for 2010.1

* Tue Oct 06 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0-2mdv2010.0
+ Revision: 455268
- Replace file requires by package requires (#53526)

* Sun Sep 20 2009 Anne Nicolas <ennael@mandriva.org> 4.0-1mdv2010.0
+ Revision: 445867
- Update lsb package qith Stew patch (#40175)

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 3.1-19mdv2010.0
+ Revision: 436071
- Don't use file dependencies anymore

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.1-18mdv2010.0
+ Revision: 426008
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.1-17mdv2009.1
+ Revision: 351537
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.1-16mdv2009.0
+ Revision: 223129
- rebuild

* Thu Jan 17 2008 Olivier Blin <blino@mandriva.org> 3.1-15mdv2008.1
+ Revision: 154077
- remove /etc/networks, it is now in the initscripts package
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 3.1-14mdv2008.1
+ Revision: 129493
- kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Stew Benedict <sbenedict@mandriva.com> 3.1-14mdv2007.1
+ Revision: 138766
- oops, need to escape the "$" in creating ulimit scriptlet

* Thu Mar 08 2007 Stew Benedict <sbenedict@mandriva.com> 3.1-13mdv2007.1
+ Revision: 134910
- Work around core size file limit of 0 introduced in setup package
- Drop tjreport in favor of the one packaged in test suites

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 3.1-12mdv2007.1
+ Revision: 133697
- Fix requires on x86_64

* Thu Dec 28 2006 Olivier Blin <oblin@mandriva.com> 3.1-11mdv2007.1
+ Revision: 102414
- remove lsb-init-functions from spec
- move lsb-init-functions in initscripts package

* Fri Dec 22 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-10mdv2007.1
+ Revision: 101420
- use %%mklibname for mesagl requires (Anssi Hannula), csh is optional
- add known libX11.so.6 issues to libchk waivers

* Wed Dec 20 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-9mdv2007.1
+ Revision: 100803
- lost libmesagl when xorg was split

* Tue Dec 05 2006 Pixel <pixel@mandriva.com> 3.1-8mdv2007.1
+ Revision: 91265
- /media is now in pkg "filesystem"
- Import lsb

* Fri Jun 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-7mdv2007.0
- more requires uncovered in Corp4 beta

* Wed May 24 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-6mdk
- align requires with new X build
- full path to urpmi in common-functions (S0)

* Wed Apr 12 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-5mdk
- -T for core/desktop no longer exists in lsblibchk, lsbcmdchk
- drop warnings about nsswitch.conf

* Sat Apr 01 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-4mdk
- do away with cxx, graphics, desktop packages
- desktop-qt4->qt4
- 3.1 now wants to report just lsb-ver-foo and core-ver-foo
- 3.0 (compat) reports lsb-ver-foo, core-ver-foo, cxx-ver-foo, graphics-ver-foo

* Fri Mar 31 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-3mdk
- core needs to identify as 3.1 also

* Thu Mar 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-2mdk
- re-organize again:
  - restore plain lsb, add lsb-cxx
  - lsb requires desktop and below
  - add missing compat_version files for lsb-graphics

* Tue Mar 21 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-1mdk
- 3.1
- add desktop-qt4
- s/2.0/3.0/ compat (we could bring it back with Requires: libstdc++.so.5)
- update libchk and cmdchk autotest scripts to run both core and desktop

* Tue Mar 14 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-12mdk
- use stronger vsx0 passwd in test scripts - was triggering pam failures

* Fri Mar 03 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-11mdk
- add -test and breakout the test specific requires to this subpackage
- move all the "gotcha" notes to README.urpmi in -test

* Thu Mar 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-10mdk
- LSB-desktop Requires

* Tue Feb 21 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-9mdk
- split into -core, -graphics, -desktop
- have the test scripts install the appropriate sub-packages
- move some things from lsb-release over to these packages

* Mon Dec 19 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-8mdk
- add lsb-test-xts5 test script
- let common-functions deal with pre-defined $TVERSION

* Fri Nov 11 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-7mdk
- fix/update waivers file

* Thu Aug 04 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-6mdk
- rework automated testing for released LSB-3.0 tests
  - lsb-test-pam no longer used - drop
  - rework lsb-runtime-test
  - rework lsb-test-vsw4
  - add lsb-cmdchk
  - update waivers file
  - rework common-functions
  - rework qmtest_libstdcpp
- some changes to make rpmlint happier

* Sat Jul 02 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-5mdk
- requires s/smtpdaemon/sendmail-command/

* Fri Jun 03 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-4mdk
- requires bc, nail(POSIX compatible mailx, per lsb-cmdchk)
- provide placeholder lsbinstall (still being debated in lsb group)
- requires libstd++.so.6 for LSB3

* Wed May 18 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-3mdk
- re-fix provides on x86_64

* Sat Apr 30 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-2mdk
- try to make LSB2/3 compatible

* Sat Apr 23 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-1mdk
- LSB3.0
- fix install_initd, remove_initd, provides (Mats Wichmann)

* Wed Feb 16 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-15mdk
- adapt test scripts to filter out TSDs from added waiver file
- move common code from test scripts to common-functions (new source0)
- minor patch to tjreport "excluding waived" output (LSB Bugzilla 698)

* Fri Feb 04 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-14mdk
- add test scripts and a README for usage

* Thu Jan 06 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-13mdk
- requires binutils for libstdcpp tests

* Tue Dec 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-12mdk
- add tjreport to facilitate automated testing

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-11mdk
- rebuild on x86_64

* Sun Oct 10 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-10mdk
- drop libc-extras requires

* Tue Sep 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-9mdk
- drop lpddaemon, expect requires

* Tue Sep 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-8mdk
- drop nscd requires

* Sun Sep 05 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-7mdk
- remove libxorg-x11-devel requires

* Wed Aug 25 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-6mdk
- add requires for vsw4 tests

* Tue Aug 24 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-5mdk
- locales requires for C++ tests, requires nscd, warning about modprobe loop
i

* Tue Jul 27 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-4mdk
- caveats change with switch from devfs -> udev, drop TMPDIR warning

* Tue Jul 27 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-3mdk
- change provides yet again

* Sat Jul 17 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-2mdk
- change provides to agree with what app-batt expects

* Tue Jun 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-1mdk
- LSB2.0 - new requires, provides
- drop groupdel caveat - fixed in test-suite

* Tue Mar 09 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-10mdk
- fix issue with init-functions (Bugzilla #9718)

* Tue Mar 09 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-9mdk
- add /etc/opt, change some dirs to macros
- insure TMPDIR is unset for vsx0

